### Method

# Fwupd Client set_feature_flags

#### Declaration [src]

    gboolean
    fwupd_client_set_feature_flags (
      FwupdClient* self,
      FwupdFeatureFlags feature_flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets the features the client supports. This allows firmware to depend on specific front-end features, for instance showing the user an image on how to detach the hardware.

Clients can call this none or multiple times.

Available since: | 1.4.5

#### Parameters

`feature_flags` | `FwupdFeatureFlags`
| Feature flags, e.g. `FWUPD_FEATURE_FLAG_UPDATE_TEXT`.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.